Bug 245592 - graphics/rawtherapee self tests fail
Summary: graphics/rawtherapee self tests fail
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthias Andree
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-13 11:04 UTC by tech-lists
Modified: 2020-04-16 12:00 UTC (History)
1 user (show)

See Also:
mandree: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tech-lists 2020-04-13 11:04:18 UTC
amd64/12.1-stable r359155 / ports tree r531582 / poudriere-devel-3.3.99.20200326

[00:04:07] ===> Running smoke tests
[00:04:07] /bin/mkdir -p /wrkdirs/usr/ports/graphics/rawtherapee/work/rt-config /wrkdirs/usr/ports/graphics/rawtherapee/work/rt-config/dcpprofiles /wrkdirs/usr/ports/graphics/rawtherapee/work/rt-config/profiles
[00:04:07] cp -f /wrkdirs/usr/ports/graphics/rawtherapee/work/rawtherapee-5.8/rtengine/camconst.json /wrkdirs/usr/ports/graphics/rawtherapee/work/rt-config
[00:04:07] cp -f /wrkdirs/usr/ports/graphics/rawtherapee/work/rawtherapee-5.8/rtdata/options/options.lin /wrkdirs/usr/ports/graphics/rawtherapee/work/rt-config/options
[00:04:07] (cd /wrkdirs/usr/ports/graphics/rawtherapee/work/rawtherapee-5.8/rtdata/ && /bin/sh -c '(/usr/bin/find -Ed $1 $3 | /usr/bin/cpio -dumpl $2 >/dev/null 2>&1) &&  /usr/bin/find -Ed $1 $3 \(   -type d -exec /bin/sh -c '\''cd '\''$2'\'' && chmod 755 "$@"'\'' . {} +  -o -type f -exec /bin/sh -c '\''cd '\''$2'\'' && chmod 0644 "$@"'\'' . {} + \)' COPYTREE_SHARE "profiles dcpprofiles" /wrkdirs/usr/ports/graphics/rawtherapee/work/rt-config )
[00:04:07] + /usr/bin/mktemp -d -t rawtherapee
[00:04:07] + TMP=/tmp/rawtherapee.BV6KCOgz
[00:04:07] + trap 'rc=0 ; /bin/rm -f -rf "/tmp/rawtherapee.BV6KCOgz" ; exit $rc' 0
[00:04:07] + /usr/bin/env 'LANG=' 'LC_ALL=C' 'LANGUAGE=' 'DISPLAY=' 'HOME=/tmp/rawtherapee.BV6KCOgz' 'RT_SETTINGS=/wrkdirs/usr/ports/graphics/rawtherapee/work/rt-config' 'RT_CACHE=/tmp/rawtherapee.BV6KCOgz/rtcache' /wrkdirs/usr/ports/graphics/rawtherapee/work/stage/usr/local/bin/rawtherapee -v
[00:04:07] + /usr/bin/egrep -q 'RawTherapee, version 5.8|cannot open display:'
[00:04:08] + echo 0
[00:04:08] + /usr/bin/env 'LANG=' 'LC_ALL=C' 'LANGUAGE=' 'DISPLAY=' 'HOME=/tmp/rawtherapee.BV6KCOgz' 'RT_SETTINGS=/wrkdirs/usr/ports/graphics/rawtherapee/work/rt-config' 'RT_CACHE=/tmp/rawtherapee.BV6KCOgz/rtcache' /wrkdirs/usr/ports/graphics/rawtherapee/work/stage/usr/local/bin/rawtherapee-cli
[00:04:08] + /usr/bin/egrep -q 'RawTherapee, version 5.8'
[00:04:08] + expect='0\n0\n'
[00:04:08] + ls '/usr/ports/graphics/rawtherapee/files/../testimages/*'
[00:04:08] + head -1
[00:04:08] ls: /usr/ports/graphics/rawtherapee/files/../testimages/*: No such file or directory
[00:04:08] + onefile=''
[00:04:08] + test -d /usr/ports/graphics/rawtherapee/files/../testimages
[00:04:08] + ls -Rlbai /usr/ports/graphics/rawtherapee/files/../testimages /tmp/rawtherapee.BV6KCOgz
[00:04:08] ls: /usr/ports/graphics/rawtherapee/files/../testimages: No such file or directory
[00:04:08] /tmp/rawtherapee.BV6KCOgz:
[00:04:08] total 0
[00:04:08] 28922 drwx------  2 root  wheel   0 Apr 13 08:10 .
[00:04:08]  4924 drwxrwxrwt  3 root  wheel  64 Apr 13 08:10 ..
[00:04:08] + :
[00:04:08] + /usr/bin/printf %s '0\n0\n'
[00:04:08] + rc=0
[00:04:08] + /bin/rm -f -rf /tmp/rawtherapee.BV6KCOgz
[00:04:08] + exit 0
[00:04:08] cmp: EOF on /wrkdirs/usr/ports/graphics/rawtherapee/work/selftest.exitcodes
[00:04:08] ===> !!! SELF-TEST FAILED !!! <===
[00:04:08] *** Error code 1
[00:04:08] 
[00:04:08] Stop.
[00:04:08] make: stopped in /usr/ports/graphics/rawtherapee
[00:06:46] =>> Cleaning up wrkdir
[00:06:46] ===>  Cleaning for rawtherapee-5.8_2
[00:06:46] build of graphics/rawtherapee | rawtherapee-5.8_2 ended at Mon Apr 13 09:12:42 BST 2020
[00:06:46] build time: 00:06:44
[00:06:46] !!! build failure encountered !!!
Comment 1 tech-lists 2020-04-13 12:39:01 UTC
running poudriere bulk on the one port results in a completed build. Dunno what the issue could be.
Comment 2 commit-hook freebsd_committer 2020-04-13 15:26:50 UTC
A commit references this bug:

Author: mandree
Date: Mon Apr 13 15:25:54 UTC 2020
New revision: 531610
URL: https://svnweb.freebsd.org/changeset/ports/531610

Log:
  graphics/rawtherapee: avoid 2>&1 in test, UCL conversion of pkg-message

  - in the smoke tests post-install, don't fold stderr into stdout,
    remove the 2>&1. Version is emitted on stdout, because there are
    sporadic reports of one rawtherapee-cli test not proceeding to
    the echo, and we don't want to mask stderr to see what's up. [1]

  - while here, after figuring out that make create-manifest and the
    porter's handbook are inconsistent [2], convert pkg-message to UCL,
    and make sure it's printed on install and on upgrade.
    (Bump PORTREVISION so that pkg-message is shown on upgrade.)

    [2] see https://reviews.freebsd.org/D24379

  PR:		245592
  Reported by:	tech-lists@zyxst.net

Changes:
  head/graphics/rawtherapee/Makefile
  head/graphics/rawtherapee/pkg-message
Comment 3 Matthias Andree freebsd_committer 2020-04-13 15:26:59 UTC
Hi,

so comparing your output with a successful run reveals this part:

[00:04:08] + /usr/bin/env 'LANG=' 'LC_ALL=C' 'LANGUAGE=' 'DISPLAY=' 'HOME=/tmp/rawtherapee.BV6KCOgz' 'RT_SETTINGS=/wrkdirs/usr/ports/graphics/rawtherapee/work/rt-config' 'RT_CACHE=/tmp/rawtherapee.BV6KCOgz/rtcache' /wrkdirs/usr/ports/graphics/rawtherapee/work/stage/usr/local/bin/rawtherapee-cli
[00:04:08] + /usr/bin/egrep -q 'RawTherapee, version 5.8'
[00:04:08] + expect='0\n0\n'
[00:04:08] + ls '/usr/ports/graphics/rawtherapee/files/../testimages/*'

and a successful run without timestamps yields:

+ /usr/bin/env 'LANG=' 'LC_ALL=C' 'LANGUAGE=' 'DISPLAY=' 'HOME=/tmp/rawtherapee.IDqUhDCZ' 'RT_SETTINGS=/usr/ports.svn/graphics/rawtherapee/work/rt-config' 'RT_CACHE=/tmp/rawtherapee.IDqUhDCZ/rtcache' /usr/ports.svn/graphics/rawtherapee/work/stage/usr/local/bin/rawtherapee-cli
+ /usr/bin/egrep -q 'RawTherapee, version 5.8'
+ echo 0
+ expect='0\n0\n'
+ ls '/usr/ports.svn/graphics/rawtherapee/files/../testimages/*'

So the "echo 0" is missing, and the source looks like this, in the makefile, so I am somehow missing a reason why the echo after rawtherapee-cli would not execute.

        @(set -x ; TMP=$$(${MKTEMP} -d -t ${PORTNAME}) && trap "rc=$$? ; ${RM} -rf \"$$TMP\" ; exit \$$rc" 0 && \
                ( ${SETENV} ${_env} ${STAGEDIR}${PREFIX}/bin/rawtherapee -v 2>&1 ; \
                    echo $$? >&3 ) 3>&3 | ${EGREP} -q "RawTherapee, version ${_check_version:C/_.*//:C/,.*//}|cannot open display:" && \
                ( ${SETENV} ${_env} ${STAGEDIR}${PREFIX}/bin/rawtherapee-cli 2>&1 ; \
                    echo $$? >&3 ) 3>&3 | ${EGREP} -q "RawTherapee, version ${_check_version:C/_.*//:C/,.*//}" && \
                expect='0\n0\n' && \
...

I have seen this sporadically before, and I have non-reproducible failures in one particular self-test in sysutils/e2fsprogs (where a rebuild attempt also "cures" the issue). 

Anything in dmesg that might hint to the rawtherapee-cli failure? Is the system running low on/out of any resources, file descriptors, process descriptors (PIDs), RAM/swap/disk space/inodes or thereabouts?

r531610 of the ports tree removes the 2>&1 parts so that potential error messages aren't dumped into egrep, but I am not sure if this will take us any closer to finding the cause.
Comment 4 tech-lists 2020-04-16 12:00:53 UTC
Hi,

The system building this has vast resources. 192GB RAM/Xeon E5-2690. There's 3.58Tb disk space available. The system builds what ports need building, in poudriere, after updating its ports tree, every 24 hrs. Whatever was done recently has fixed the issue and rawtherapee now builds along with all the others.

thanks,